function [ classes, classesMap ] = ESC50Classes( )
    % Class map by name
    keySet =   {'101 - Dog', '102 - Rooster', '103 - Pig', '104 - Cow', '105 - Frog', ...
        '106 - Cat', '107 - Hen', '108 - Insects', '109 - Sheep', '110 - Crow', ...
        '201 - Rain', '202 - Sea waves', '203 - Crackling fire', '204 - Crickets', '205 - Chirping birds', ...
        '206 - Water drops', '207 - Wind', '208 - Pouring water', '209 - Toilet flush', '210 - Thunderstorm', ...
        '301 - Crying baby', '302 - Sneezing', '303 - Clapping', '304 - Breathing', '305 - Coughing', ...
        '306 - Footsteps', '307 - Laughing', '308 - Brushing teeth', '309 - Snoring', '310 - Drinking - sipping', ...
        '401 - Door knock', '402 - Mouse click', '403 - Keyboard typing', '404 - Door - wood creaks', '405 - Can opening', ...
        '406 - Washing machine', '407 - Vacuum cleaner', '408 - Clock alarm', '409 - Clock tick', '410 - Glass breaking', ...
        '501 - Helicopter', '502 - Chainsaw', '503 - Siren', '504 - Car horn', '505 - Engine', ...
        '506 - Train', '507 - Church bells', '508 - Airplane', '509 - Fireworks', '510 - Hand saw'};
    valueSet = 1:50;
    classesMap = containers.Map(keySet, valueSet);

    % Class map by id
    classes = keySet;
end

